inflate_state Struct Reference

`#include <pcl/surface/3rdparty/opennurbs/inflate.h>`

## Public Attributes

inflate_mode | mode
int | last
int | wrap
int | havedict
int | flags
unsigned | dmax
unsigned int | check
unsigned int | total
gz_headerp | head
unsigned | wbits
unsigned | wsize
unsigned | whave
unsigned | write
unsigned char FAR * | window
unsigned int | hold
unsigned | bits
unsigned | length
unsigned | offset
unsigned | extra
code const FAR * | lencode
code const FAR * | distcode
unsigned | lenbits
unsigned | distbits
unsigned | ncode
unsigned | nlen
unsigned | ndist
unsigned | have
code FAR * | next
unsigned short | lens [320]
unsigned short | work [288]
code | codes [ENOUGH]

## Detailed Description

Definition at line 77 of file inflate.h.

## Member Data Documentation

## bits

unsigned inflate_state::bits

Definition at line 95 of file inflate.h.

## check

unsigned int inflate_state::check

Definition at line 84 of file inflate.h.

## codes

code inflate_state::codes[ENOUGH]

Definition at line 114 of file inflate.h.

## distbits

unsigned inflate_state::distbits

Definition at line 105 of file inflate.h.

## distcode

code const FAR* inflate_state::distcode

Definition at line 103 of file inflate.h.

## dmax

unsigned inflate_state::dmax

Definition at line 83 of file inflate.h.

## extra

unsigned inflate_state::extra

Definition at line 100 of file inflate.h.

## flags

int inflate_state::flags

Definition at line 82 of file inflate.h.

## have

unsigned inflate_state::have

Definition at line 110 of file inflate.h.

## havedict

int inflate_state::havedict

Definition at line 81 of file inflate.h.

## head

gz_headerp inflate_state::head

Definition at line 86 of file inflate.h.

## hold

unsigned int inflate_state::hold

Definition at line 94 of file inflate.h.

## last

int inflate_state::last

Definition at line 79 of file inflate.h.

## lenbits

unsigned inflate_state::lenbits

Definition at line 104 of file inflate.h.

## lencode

code const FAR* inflate_state::lencode

Definition at line 102 of file inflate.h.

## length

unsigned inflate_state::length

Definition at line 97 of file inflate.h.

## lens

unsigned short inflate_state::lens[320]

Definition at line 112 of file inflate.h.

## mode

inflate_mode inflate_state::mode

Definition at line 78 of file inflate.h.

## ncode

unsigned inflate_state::ncode

Definition at line 107 of file inflate.h.

## ndist

unsigned inflate_state::ndist

Definition at line 109 of file inflate.h.

## next

code FAR* inflate_state::next

Definition at line 111 of file inflate.h.

## nlen

unsigned inflate_state::nlen

Definition at line 108 of file inflate.h.

## offset

unsigned inflate_state::offset

Definition at line 98 of file inflate.h.

## total

unsigned int inflate_state::total

Definition at line 85 of file inflate.h.

## wbits

unsigned inflate_state::wbits

Definition at line 88 of file inflate.h.

## whave

unsigned inflate_state::whave

Definition at line 90 of file inflate.h.

## window

unsigned char FAR* inflate_state::window

Definition at line 92 of file inflate.h.

## work

unsigned short inflate_state::work[288]

Definition at line 113 of file inflate.h.

## wrap

int inflate_state::wrap

Definition at line 80 of file inflate.h.

## write

unsigned inflate_state::write

Definition at line 91 of file inflate.h.

## wsize

unsigned inflate_state::wsize

Definition at line 89 of file inflate.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/inflate.h